## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# celStandardLocalEntitySet Class Reference

Standard implementation of iCelLocalEntitySet. More...

`#include <celtool/persisthelper.h>`

Inheritance diagram for celStandardLocalEntitySet:

[legend]
List of all members.

## Public Member Functions

virtual void | AddEntity (iCelEntity *entity)
| Add an entity to the local set.
virtual iCelEntity * | FindExternalEntity (iCelDataBuffer *databuf)
| This routine will be called by the persistence layer whenever it needs to find a non-local entity.
virtual iCelPropertyClass * | FindExternalPC (iCelDataBuffer *databuf)
| This routine will be called by the persistence layer whenever it needs to find a non-local property class.
virtual iCelEntity * | GetEntity (size_t idx) const
| Get the specified entity.
virtual size_t | GetEntityCount () const
| Number of entities managed by this set.
virtual bool | IsLocal (iCelPropertyClass *pc)
| Test if a property class is local (is in this set).
virtual bool | IsLocal (iCelEntity *entity)
| Test if an entity is local (is in this set).
virtual csPtr< iCelDataBuffer > | SaveExternalEntity (iCelEntity *entity)
| This routine will be called by the persistence layer whenever it needs to save a non-local entity.
virtual csPtr< iCelDataBuffer > | SaveExternalPC (iCelPropertyClass *pc)
| This routine will be called by the persistence layer whenever it needs to save a non-local property class.

## Public Attributes

| SCF_DECLARE_IBASE

## Detailed Description

Standard implementation of iCelLocalEntitySet.

This version uses the name of the entity as a unique identifier for finding external entities. So it can only be used if non-local entities have unique names.

Definition at line 41 of file persisthelper.h.

## Member Function Documentation

virtual void celStandardLocalEntitySet::AddEntity | ( | iCelEntity * | entity | ) | `[inline, virtual]`

| Add an entity to the local set. Implements iCelLocalEntitySet. Definition at line 63 of file persisthelper.h.

virtual iCelEntity* celStandardLocalEntitySet::FindExternalEntity | ( | iCelDataBuffer * | databuf | ) | `[virtual]`

| This routine will be called by the persistence layer whenever it needs to find a non-local entity. Basically it should return an already existing entity from the databuffer. Implements iCelLocalEntitySet.

virtual iCelPropertyClass* celStandardLocalEntitySet::FindExternalPC | ( | iCelDataBuffer * | databuf | ) | `[virtual]`

| This routine will be called by the persistence layer whenever it needs to find a non-local property class. Basically it should return an already existing property class from the databuffer. Implements iCelLocalEntitySet.

virtual iCelEntity* celStandardLocalEntitySet::GetEntity | ( | size_t | idx | ) | const`[inline, virtual]`

| Get the specified entity. Implements iCelLocalEntitySet. Definition at line 59 of file persisthelper.h.

virtual size_t celStandardLocalEntitySet::GetEntityCount | ( |  | ) | const`[inline, virtual]`

| Number of entities managed by this set. Implements iCelLocalEntitySet. Definition at line 55 of file persisthelper.h.

virtual bool celStandardLocalEntitySet::IsLocal | ( | iCelPropertyClass * | pc | ) | `[inline, virtual]`

| Test if a property class is local (is in this set). Implements iCelLocalEntitySet. Definition at line 72 of file persisthelper.h. References iCelPropertyClass::GetEntity().

virtual bool celStandardLocalEntitySet::IsLocal | ( | iCelEntity * | entity | ) | `[inline, virtual]`

| Test if an entity is local (is in this set). Implements iCelLocalEntitySet. Definition at line 68 of file persisthelper.h.

virtual csPtr<iCelDataBuffer> celStandardLocalEntitySet::SaveExternalEntity | ( | iCelEntity * | entity | ) | `[virtual]`

| This routine will be called by the persistence layer whenever it needs to save a non-local entity. So this routine should return a databuffer that can identify a non-local entity. Implements iCelLocalEntitySet.

virtual csPtr<iCelDataBuffer> celStandardLocalEntitySet::SaveExternalPC | ( | iCelPropertyClass * | pc | ) | `[virtual]`

| This routine will be called by the persistence layer whenever it needs to save a non-local property class. So this routine should return a databuffer that can identify a non-local property class. Implements iCelLocalEntitySet.

The documentation for this class was generated from the following file:

- celtool/persisthelper.h